dht::Value::Filter Class Reference
Inheritance diagram for dht::Value::Filter:
[legend]
Collaboration diagram for dht::Value::Filter:
[legend]

## Public Member Functions

template<typename Functor >
| Filter (Functor f)
Filter | chain (Filter &&f2)
Filter | chainOr (Filter &&f2)
std::vector< Sp< Value > > | filter (const std::vector< Sp< Value > > &values)

## Static Public Member Functions

static Filter | chain (Filter &&f1, Filter &&f2)
static Filter | chainAll (std::vector< Filter > &&set)
static Filter | chain (std::initializer_list< Filter > l)
static Filter | chainOr (Filter &&f1, Filter &&f2)

## Detailed Description

Definition at line 150 of file value.h.

## Constructor & Destructor Documentation

## Filter() [1/2]

dht::Value::Filter::Filter | ( |  | ) |

inline

Definition at line 152 of file value.h.

## Filter() [2/2]

template<typename Functor >

dht::Value::Filter::Filter | ( | Functor | f | ) |

inline

Definition at line 155 of file value.h.

## Member Function Documentation

## chain() [1/3]

static Filter dht::Value::Filter::chain | ( | Filter && | f1,
|  | Filter && | f2
| ) |  |

inline static

Definition at line 165 of file value.h.

## chain() [2/3]

Filter dht::Value::Filter::chain | ( | Filter && | f2 | ) |

inline

Definition at line 157 of file value.h.

## chain() [3/3]

static Filter dht::Value::Filter::chain | ( | std::initializer_list< Filter > | l | ) |

inline static

Definition at line 181 of file value.h.

## chainAll()

static Filter dht::Value::Filter::chainAll | ( | std::vector< Filter > && | set | ) |

inline static

Definition at line 172 of file value.h.

## chainOr() [1/2]

static Filter dht::Value::Filter::chainOr | ( | Filter && | f1,
|  | Filter && | f2
| ) |  |

inline static

Definition at line 184 of file value.h.

## chainOr() [2/2]

Filter dht::Value::Filter::chainOr | ( | Filter && | f2 | ) |

inline

Definition at line 161 of file value.h.

## filter()

std::vector< Sp< Value > > dht::Value::Filter::filter | ( | const std::vector< Sp< Value > > & | values | ) |

inline

Definition at line 190 of file value.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/value.h